# This file contains some generic
# functions used by crtool.pl
#################################

# First Step: Mention Identification (basic)
############################################
sub MentionIdentify_f{

    my %Input = @_;

    foreach my $linha(sort {$a <=> $b} keys %Input) {
	my $prev = $linha - 1;

	if ($Input{$linha} =~ /^[0-9]/) {
	    ($num_tok, $token, $lema, $tag) = split(" ", $Input{$linha});
	    # Tokens in lower-case
	    $token = "\L$token";

	    # Personal names
	    if ($tag =~ /^NP/) {
		$Input{$linha} =~ s/$/ (X)/;
	    } else {
		$Input{$linha} =~ s/$/ _/;
	    }
	}
    }
    $prev = ();
    return %Input;
}

1;
